Summary:	A text formatting package based on SGML
Name:		sgml-tools
Obsoletes:	linuxdoc-sgml
Version:	1.0.9
Release:	19mdk
License:	Freeware
Group:		Publishing

Source:		http://www.consultronics.com/~cdegroot/sgmltools/dist/%{name}-%{version}.tar.bz2
Source1:	db-tools.tar.bz2

Patch:		sgml-tools-1.0.6-letter.patch.bz2
Patch1:		sgml-tools-1.0.9-egcs.patch.bz2
Patch2:		sgml-tools-1.0.9-fixsgml2latex.patch.bz2
Patch3:		sgml-tools-1.0.9-fixconfigure.patch.bz2
Patch4:		sgml-tools-deprotoize.patch.bz2
Patch5:		sgml-tools-buildroot.patch.bz2
Patch6:		sgml-tools-manfix.patch.bz2
Patch7:		sgml-tools-1.0.9-coda-doc.patch.bz2
Patch8:		sgml-tools-tmpfile.patch.bz2

Requires:	docbook-style-dsssl >= 1.62-2
Requires:	jade
PreReq:         sgml-common >= 0.2
Url:		http://www.sgmltools.org
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires:	openjade

%define sgmlbase %{_prefix}/share/sgml/ 

%description
SGMLtools is a text formatting package based on SGML (Standard Generalized
Markup Language). SGMLtools allows you to produce LaTeX, HTML, GNU info,
LyX, RTF, plain text (via groff), and other format outputs from a single
SGML source. 

SGMLtools is intended for writing technical software documentation.

%prep

%setup -q -a 0 -b 1
rm -rf $RPM_BUILD_ROOT

%patch -p1
%patch1 -p1 -b .egcs
%patch2 -p1 -b .fixsgml2latex
%patch3 -p1 -b .fixconfigure
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1 -b .tmpfile

# (renaud) update path to the included style-sheets
for i in cygnus-both.dsl db2*.sh; do
    perl -pi.orig -e "s:/usr/lib/sgml/stylesheets/nwalsh-modular/:%{sgmlbase}/docbook/dsssl-stylesheets/:" $i
    perl -pi.orig -e "s:dsssl-stylesheets-1.57:dsssl-stylesheets:" $i
done

%build
autoconf
cd sgmls-1.1
for foo in * ; do 
	sed "s|VOID|void|g ; s|UNIV|void *|g" $foo > $foo.new 
	cat $foo.new > $foo
	rm -f $foo.new
done
cd ..

%configure --with-installed-nsgmls --libdir=/usr/lib/sgml-tools \
	--datadir=/usr/lib
  
make CFLAGS="$RPM_OPT_FLAGS"

%install
perl -p -i -e "s|mandir=.*|mandir=$RPM_BUILD_ROOT/%{_mandir}|" Makefile
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install

for i in $RPM_BUILD_ROOT/usr/bin/* ; 
do
perl -p -i -e "s|$RPM_BUILD_ROOT||" $i;
done

cat > COPYRIGHT <<EOF
(C) International Organization for Standardization 1986
Permission to copy in any form is granted for use with
conforming SGML systems and applications as defined in
ISO 8879, provided this notice is included in all copies.
EOF

for i in *.sh; do mv $i $RPM_BUILD_ROOT/%{_bindir}/`echo $i | sed "s/\.sh//"`; done
mkdir -p $RPM_BUILD_ROOT/%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/stylesheets
install *.dsl $RPM_BUILD_ROOT/%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/stylesheets
mv stylesheets.cat $RPM_BUILD_ROOT/%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/catalog
install ChangeLog $RPM_BUILD_ROOT/%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYRIGHT
%{_bindir}/rtf2rtf
%{_bindir}/sgml2html
%{_bindir}/sgml2info
%{_bindir}/sgml2latex
%{_bindir}/sgml2lyx
%{_bindir}/sgml2rtf
%{_bindir}/sgml2txt
%{_bindir}/sgmlcheck
%{_bindir}/sgmlpre
%{_bindir}/sgmlsasp
%{_bindir}/sgmltools.v1
%{_bindir}/db2*
/usr/lib/entity-map
/usr/lib/perl5/Text/EntityMap.pm 
/usr/lib/sgml
/usr/lib/sgml-tools
%{_mandir}/*/*
%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/*

%Post
for centralized in  `find /etc/sgml/ -name "sgml-docbook-*.cat" -type f`; do
    %{_bindir}/install-catalog --add $centralized %{sgmlbase}/docbook/dsssl-stylesheets-cygnus/catalog > /dev/null 2>/dev/null
done


%Postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    for centralized in `find /etc/sgml/ -name "sgml-docbook-*.cat" -type f`; do
	%{_bindir}/install-catalog --remove $centralized %{sgmlbase}/docbook/dsssl-stylesheets-cygnus/catalog > /dev/null 2>/dev/null
    done
fi

%changelog
* Thu Mar 15 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.9-19mdk
- include patch to fix insecure tmp files

* Wed Mar 14 2001 Camille Begnis <camille@mandrakesoft.com> 1.0.9-18mdk
- Redirect install-catalog output to /dev/null

* Tue Feb 06 2001 Camille Begnis <camille@mandrakesoft.com> 1.0.9-17mdk
- unbzip not info page (THX Titi...)

* Mon Feb 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.0.9-16mdk
- bzip info page

* Mon Feb 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.0.9-15mdk
- little fix in Post and Postun: use find

* Mon Feb 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.0.9-14mdk
- Fix previous feature...

* Mon Feb 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.0.9-13mdk
- Make it compatible with all dsssl-stylesheets-1.?? stylesheets.

* Wed Jan 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-12mdk
- BuildRequires: openjade

* Mon Dec 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.9-11mdk
- Remove the BuildRequires: egcs since we don't need it anymore.

* Mon Nov 27 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.9-10mdk
- corrected path to the included stylesheets in cygnus-both.dsl

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.9-9mdk
- Fix gcc2.96 compilation.

* Wed Oct 04 2000 Camille Begnis <camille@mandrakesoft.com> 1.0.9-8mdk
- Added db2* backends
- Added cygnus and other stylesheets
- Prereq sgml-common

* Mon Oct  2 2000 Warly <warly@mandrakesoft.com> 1.0.9-7mdk
- can build without being already installed

* Sat Sep 16 2000 Warly <warly@mandrakesoft.com> 1.0.9-6mdk
- BM
- add BuildRequires egcs

* Fri Jul 07 2000 Florin Grad <florin@mandrakesoft.com> 1.0.9-5mdk
- remove the nsgml conflicts with openjade

* Fri Jul 07 2000 Florin Grad <florin@mandrakesoft.com> 1.0.9-4mdk
- coda-doc patch added

* Fri Jul 07 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-3mdk
- Fix build as user
- Little spec cleanup
- Don't use auto-generated %%files

* Wed May 03 2000 Warly <warly@mandrakesoft.com> 1.0.9-2mdk
- fix compilation problem

* Wed Mar 29 2000 Warly <warly@mandrakesoft.com> 1.0.9-1mdk
- Mandrake Version

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- add copyright file (#8621)
- fix sgml2latex processing (#4114)
- fix configure tests (#6480)

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- get rid of "CC=egcs"
- require jade - sgml2html calls nsgmls.

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- resurrect package in a non-conflicting manner

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- we aren't going to 2.0.x for 6.0, using 1.0.9 instead (more stable)

* Thu Aug 20 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.0.7

* Tue May 05 1998 Donnie Barnes <djb@redhat.com>
- changed default papersize to letter (from a4...sorry Europeans :-)
  use --papersize=a4 on any sgml2* command to change it or remove the
  patch from this spec file and rebuild.

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.0.6

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jan 12 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.99 to 1.0.3
- added BuildRoot

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- fixed man pages

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- new release - Obsoletes linuxdoc-sgml

